Name:          camlp4
Version:       4.14
Release:       1mamba
Summary:       A software system for writing extensible parsers for programming languages
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/camlp4/camlp4
Source:        https://github.com/ocaml/camlp4.git/%{version}%2B1/camlp4-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: ocamlbuild
Provides:      ocaml-camlp4
Obsoletes:     ocaml-camlp4 <= 4.11
Provides:      ocaml-camlp4-devel
Obsoletes:     ocaml-camlp4-devel <= 4.11

%description
A software system for writing extensible parsers for programming languages.

%prep
%setup -q

%build
./configure \
   --bindir=%{_bindir} \
   --libdir=%{_libdir} \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/camlp4
%{_bindir}/camlp4boot
%{_bindir}/camlp4o
%{_bindir}/camlp4of
%{_bindir}/camlp4oof
%{_bindir}/camlp4orf
%{_bindir}/camlp4prof
%{_bindir}/camlp4r
%{_bindir}/camlp4rf
%{_bindir}/mkcamlp4
%dir %{_libdir}/camlp4
%{_libdir}/camlp4/*
%doc LICENSE

%changelog
* Thu Jul 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14-1mamba
- update to 4.14

* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 4.11-2mamba
- rebuilt with ocaml 4.14.1

* Thu Jan 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11-1mamba
- update to 4.11

* Tue May 19 2020 Automatic Build System <autodist@mambasoft.it> 4.09-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.07-1mamba
- package created using the webbuild interface
